net.sourceforge.pmd.lang.rule.properties

## Class DoubleMultiProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<T>
  - - net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty<T>
    - - net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty<T>
      - - net.sourceforge.pmd.lang.rule.properties.AbstractMultiNumericProperty<Double[]>
        - - net.sourceforge.pmd.lang.rule.properties.DoubleMultiProperty

All Implemented Interfaces:
  Comparable<PropertyDescriptor<?>>, NumericPropertyDescriptor<Double[]>, PropertyDescriptor<Double[]>

    public class DoubleMultiProperty
    extends AbstractMultiNumericProperty<Double[]>

Defines a property type that supports multiple double-type property values within an upper and lower boundary.

Author:
  Brian Remedios

### Field Summary

Fields
`static PropertyDescriptorFactory` `FACTORY`

### Fields inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`numberFieldTypesByKey`

### Constructor Summary

Constructors
Constructor and Description
`DoubleMultiProperty(String theName, String theDescription, Double min, Double max, Double[] defaultValues, float theUIOrder)` Constructor for DoubleProperty.

### Method Summary

Methods
`protected Object[]` `arrayFor(int size)`
`protected Object` `createFrom(String value)`
`Class<Double[]>` `type()` Denotes the value datatype.

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractMultiNumericProperty

`defaultAsString, isMultiValue`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`addAttributesTo, lowerLimit, rangeString, upperLimit, valueErrorFor`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty

`valueFrom`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

`areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valuesErrorFor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor

`asDelimitedString, attributeValuesById, choices, defaultValue, description, errorFor, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, uiOrder, valueFrom`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### FACTORY

    public static final PropertyDescriptorFactory FACTORY

### Constructor Detail

#### DoubleMultiProperty

    public DoubleMultiProperty(String theName,
                       String theDescription,
                       Double min,
                       Double max,
                       Double[] defaultValues,
                       float theUIOrder)

Constructor for DoubleProperty.

Parameters:
  `theName` - String
  `theDescription` - String
  `min` - Double
  `max` - Double
  `defaultValues` - Double[]
  `theUIOrder` - float

### Method Detail

#### type

    public Class<Double[]> type()

Description copied from interface: `PropertyDescriptor`
Denotes the value datatype.

Returns:
  Class
See Also:
  `PropertyDescriptor.type()`

#### createFrom

    protected Object createFrom(String value)

Specified by:
  `createFrom` in class `AbstractScalarProperty<Double[]>`
Parameters:
  `value` - String
Returns:
  Object

#### arrayFor

    protected Object[] arrayFor(int size)

Overrides:
  `arrayFor` in class `AbstractScalarProperty<Double[]>`
Parameters:
  `size` - int
Returns:
  Object[]